> {-|
>     Module to define a configuration to be provided when launching framework
>     applications
> -}
> module Frame.Config (
>  Config (..),
>  FrameConfig,
>  asks
> ) where

> import Database.HaskellDB.DBLayout
> import Control.Monad.Reader

> data Config = Config {
>       database :: DBInfo    -- ^ The database info
>     , dbName :: String      -- ^ The name for the database
>     , dbURL :: String       -- ^ The ODBC URL for the database
>     , sessionPath :: String -- ^ File system path to sessions
>     , sessionId :: String   -- ^ Session ID
>     , css :: [String]   -- ^ Stylesheets to attach to the view
> }

> class (MonadReader Config m) => FrameConfig m
> instance (MonadReader Config m) => FrameConfig m
